curl --request POST \
--url https://api.fluents.ai/v1/agents/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"label": "My Prompt",
"description": "This is a description",
"content": "You are a helpful assistant...",
"context_endpoint": "https://api.example.com/context",
"collect_fields": [
"<string>"
],
"type": "prompt",
"tags": [
"tag1",
"tag2"
]
},
"actions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "action_transfer_call",
"config": {},
"label": "Transfer Call",
"description": "This is a description",
"action_trigger": {}
}
],
"voice": {},
"name": "My Agent",
"initial_message": "Hello, how can I help you today?",
"context_endpoint": "https://api.example.com/context",
"noise_suppression": true,
"conversation_speed": 0.5,
"initial_message_delay": 1000,
"openai_model_name_override": "gpt-4",
"ask_if_human_present_on_idle": true,
"run_do_not_call_detection": true,
"llm_fallback": {},
"deepgram_keywords": {
"kansas": "10"
},
"idle_time_seconds": 10,
"llm_temperature": 0.5,
"enable_recording": true,
"combine_last_call_context": true,
"provider": "openai",
"model": "gpt-4",
"label": "My Agent",
"description": "This is a description",
"transcriber": {},
"call_duration_sec": 10,
"max_idle_check_count": 10,
"max_aggregate_idle_check_count": 123,
"idle_after_interaction_seconds": 123,
"voicemail_message": "<string>",
"skills": [
{}
],
"min_volume": 123,
"post_call_prompt": "<string>",
"post_call_actions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"provider_config": {
"destination_id": "<string>"
},
"config": {
"from_email": "no-reply@example.com",
"to_email": "user@example.com",
"subject": "Your call summary",
"body": "Thanks for your call..."
},
"label": "Follow-up email"
}
],
"activity_actions": [
{}
],
"enable_dynamic_turns": true,
"enable_preload_prompt": true,
"transfer_on_end": true,
"dynamic_max_silence_secs": 3,
"dynamic_min_wait_secs": 0.2,
"enable_dynamic_vm_detection": true,
"llm_vm_detection_only": true,
"noise_suppression_level": 50,
"openai_account_connection": {}
}
'import requests
url = "https://api.fluents.ai/v1/agents/update"
payload = {
"prompt": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"label": "My Prompt",
"description": "This is a description",
"content": "You are a helpful assistant...",
"context_endpoint": "https://api.example.com/context",
"collect_fields": ["<string>"],
"type": "prompt",
"tags": ["tag1", "tag2"]
},
"actions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "action_transfer_call",
"config": {},
"label": "Transfer Call",
"description": "This is a description",
"action_trigger": {}
}
],
"voice": {},
"name": "My Agent",
"initial_message": "Hello, how can I help you today?",
"context_endpoint": "https://api.example.com/context",
"noise_suppression": True,
"conversation_speed": 0.5,
"initial_message_delay": 1000,
"openai_model_name_override": "gpt-4",
"ask_if_human_present_on_idle": True,
"run_do_not_call_detection": True,
"llm_fallback": {},
"deepgram_keywords": { "kansas": "10" },
"idle_time_seconds": 10,
"llm_temperature": 0.5,
"enable_recording": True,
"combine_last_call_context": True,
"provider": "openai",
"model": "gpt-4",
"label": "My Agent",
"description": "This is a description",
"transcriber": {},
"call_duration_sec": 10,
"max_idle_check_count": 10,
"max_aggregate_idle_check_count": 123,
"idle_after_interaction_seconds": 123,
"voicemail_message": "<string>",
"skills": [{}],
"min_volume": 123,
"post_call_prompt": "<string>",
"post_call_actions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"provider_config": { "destination_id": "<string>" },
"config": {
"from_email": "no-reply@example.com",
"to_email": "user@example.com",
"subject": "Your call summary",
"body": "Thanks for your call..."
},
"label": "Follow-up email"
}
],
"activity_actions": [{}],
"enable_dynamic_turns": True,
"enable_preload_prompt": True,
"transfer_on_end": True,
"dynamic_max_silence_secs": 3,
"dynamic_min_wait_secs": 0.2,
"enable_dynamic_vm_detection": True,
"llm_vm_detection_only": True,
"noise_suppression_level": 50,
"openai_account_connection": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: {
id: '550e8400-e29b-41d4-a716-446655440000',
user_id: '550e8400-e29b-41d4-a716-446655440000',
label: 'My Prompt',
description: 'This is a description',
content: 'You are a helpful assistant...',
context_endpoint: 'https://api.example.com/context',
collect_fields: ['<string>'],
type: 'prompt',
tags: ['tag1', 'tag2']
},
actions: [
{
id: '550e8400-e29b-41d4-a716-446655440000',
user_id: '550e8400-e29b-41d4-a716-446655440000',
type: 'action_transfer_call',
config: {},
label: 'Transfer Call',
description: 'This is a description',
action_trigger: {}
}
],
voice: {},
name: 'My Agent',
initial_message: 'Hello, how can I help you today?',
context_endpoint: 'https://api.example.com/context',
noise_suppression: true,
conversation_speed: 0.5,
initial_message_delay: 1000,
openai_model_name_override: 'gpt-4',
ask_if_human_present_on_idle: true,
run_do_not_call_detection: true,
llm_fallback: {},
deepgram_keywords: {kansas: '10'},
idle_time_seconds: 10,
llm_temperature: 0.5,
enable_recording: true,
combine_last_call_context: true,
provider: 'openai',
model: 'gpt-4',
label: 'My Agent',
description: 'This is a description',
transcriber: {},
call_duration_sec: 10,
max_idle_check_count: 10,
max_aggregate_idle_check_count: 123,
idle_after_interaction_seconds: 123,
voicemail_message: '<string>',
skills: [{}],
min_volume: 123,
post_call_prompt: '<string>',
post_call_actions: [
{
id: '550e8400-e29b-41d4-a716-446655440000',
provider_config: {destination_id: '<string>'},
config: {
from_email: 'no-reply@example.com',
to_email: 'user@example.com',
subject: 'Your call summary',
body: JSON.stringify('Thanks for your call...')
},
label: 'Follow-up email'
}
],
activity_actions: [{}],
enable_dynamic_turns: true,
enable_preload_prompt: true,
transfer_on_end: true,
dynamic_max_silence_secs: 3,
dynamic_min_wait_secs: 0.2,
enable_dynamic_vm_detection: true,
llm_vm_detection_only: true,
noise_suppression_level: 50,
openai_account_connection: {}
})
};
fetch('https://api.fluents.ai/v1/agents/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"prompt": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"label": "My Prompt",
"description": "This is a description",
"content": "You are a helpful assistant...",
"context_endpoint": "https://api.example.com/context",
"collect_fields": [
"<string>"
],
"type": "prompt",
"tags": [
"tag1",
"tag2"
],
"prompt_template": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"required_context_keys": [
"tag1",
"tag2"
],
"label": "My Prompt"
}
},
"actions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "action_transfer_call",
"config": {},
"label": "Transfer Call",
"description": "This is a description",
"action_trigger": {}
}
],
"voice": {},
"name": "My Agent",
"initial_message": "Hello, how can I help you today?",
"webhook": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"subscriptions": [
"event_message",
"event_action"
],
"url": "https://example.com/webhook",
"method": "POST",
"label": "My Webhook",
"description": "This is a description"
},
"context_endpoint": "https://api.example.com/context",
"noise_suppression": true,
"conversation_speed": 0.5,
"initial_message_delay": 1000,
"openai_model_name_override": "gpt-4",
"ask_if_human_present_on_idle": true,
"openai_account_connection": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "account_connection_twilio",
"credentials": {
"twilio_account_sid": "AC1234567890",
"twilio_auth_token": "1234567890"
},
"config": {
"voicemail_detection": {}
},
"label": "My Account Connection",
"description": "This is a description",
"steering_pool": [
"+1234567890"
],
"account_supports_any_caller_id": false
},
"run_do_not_call_detection": true,
"llm_fallback": {},
"deepgram_keywords": {
"kansas": "10"
},
"idle_time_seconds": 10,
"llm_temperature": 0.5,
"enable_recording": true,
"combine_last_call_context": true,
"provider": "openai",
"model": "gpt-4",
"label": "My Agent",
"description": "This is a description",
"transcriber": {},
"call_duration_sec": 10,
"max_idle_check_count": 10,
"max_aggregate_idle_check_count": 123,
"idle_after_interaction_seconds": 123,
"voicemail_message": "<string>",
"skills": [
{}
],
"min_volume": 123,
"post_call_prompt": "<string>",
"post_call_email": {
"provider_config": {
"destination_id": "<string>"
},
"from_email": "no-reply@example.com",
"to_email": "user@example.com",
"subject": "Your call summary",
"body": "Thanks for your call..."
},
"post_call_sms": {
"provider_config": {
"destination_id": "<string>"
},
"from_phone": "+15551234567",
"to_phone": "+15557654321",
"body": "Thanks for your call..."
},
"post_call_actions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"provider_config": {
"destination_id": "<string>"
},
"config": {
"from_email": "no-reply@example.com",
"to_email": "user@example.com",
"subject": "Your call summary",
"body": "Thanks for your call..."
},
"label": "Follow-up email"
}
],
"activity_actions": [
{}
],
"enable_dynamic_turns": true,
"enable_preload_prompt": true,
"transfer_on_end": true,
"dynamic_max_silence_secs": 3,
"dynamic_min_wait_secs": 0.2,
"enable_dynamic_vm_detection": true,
"llm_vm_detection_only": true,
"noise_suppression_level": 50
}{
"message": "<string>",
"error": "<string>",
"statusCode": 400
}{
"message": "<string>",
"error": "<string>",
"statusCode": 404
}Update agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"My Agent"
en, es, de, hi, pt, fr, nl, id, it, ja, ko "Hello, how can I help you today?"
Show child attributes
Show child attributes
low, high "https://api.example.com/context"
true
auto, relaxed, sensitive default, off 0.5
1000
"gpt-4"
true
true
{ "kansas": "10" }
10
0.5
true
true
"openai"
"gpt-4"
"My Agent"
"This is a description"
10
10
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
single_agent, all minimal, low, medium, high low, medium, high true
true
, keyboard, office, office-2 true
3
0.2
true
true
0 <= x <= 10050
Response
"550e8400-e29b-41d4-a716-446655440000"
"550e8400-e29b-41d4-a716-446655440000"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"My Agent"
en, es, de, hi, pt, fr, nl, id, it, ja, ko "Hello, how can I help you today?"
Show child attributes
Show child attributes
low, high "https://api.example.com/context"
true
auto, relaxed, sensitive default, off 0.5
1000
"gpt-4"
true
Show child attributes
Show child attributes
true
{ "kansas": "10" }
10
0.5
true
true
"openai"
"gpt-4"
"My Agent"
"This is a description"
10
10
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
single_agent, all minimal, low, medium, high low, medium, high true
true
, keyboard, office, office-2 true
3
0.2
true
true
0 <= x <= 10050
Was this page helpful?

